classification
Title: test_multiprocessing test_rapid_restart fails if port 9999 already in use
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.1, Python 3.2, Python 2.7, Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: jnoller Nosy List: georg.brandl, jnoller, r.david.murray
Priority: normal Keywords: buildbot, patch

Created on 2009-12-13 21:22 by r.david.murray, last changed 2010-01-09 13:23 by r.david.murray. This issue is now closed.

Files
File name Uploaded Description Edit
test_multiprocessing_find_unused_port.patch r.david.murray, 2009-12-13 21:22
Messages (3)
msg96358 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2009-12-13 21:22
test_rapid_restart has a hardcoded port.  Patch updates it to use
test_support.find_unused_port.  Discovered on a buildbot with a hung
test_multiprocessing run and confirmed to fix the subsequent failures of
other test_multiprocessing runs.
msg96417 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2009-12-14 23:04
Committed in r76840 on trunk, r76842 for 2.6, r76843 for py3k, and
r76844 for 3.1.
msg97451 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-01-09 10:02
Can this be closed?
History
Date User Action Args
2010-01-09 13:23:20r.david.murraysetstatus: open -> closed
2010-01-09 10:02:59georg.brandlsetnosy: + georg.brandl
messages: + msg97451
2009-12-14 23:04:56r.david.murraysetresolution: fixed
messages: + msg96417
stage: patch review -> resolved
2009-12-13 23:29:11jnollersetassignee: jnoller
2009-12-13 21:22:13r.david.murraycreate